Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyType

    public interface GroovyType

Method Summary
`boolean` | `isPrimitive()`
`String` | `qualifiedTypeName()` The qualified name of this type excluding any dimension information.
`String` | `simpleTypeName()` The unqualified name of this type excluding any dimension or nesting information.
`String` | `toString()` The qualified name including any dimension information.
`String` | `typeName()` The unqualified name of this type excluding any dimension information.

Method Detail

### isPrimitive

    public boolean isPrimitive()

### qualifiedTypeName

    public String qualifiedTypeName()

  The qualified name of this type excluding any dimension information. For example, a two dimensional array of String returns "`java.lang.String`".

### simpleTypeName

    public String simpleTypeName()

  The unqualified name of this type excluding any dimension or nesting information. For example, the class `Outer.Inner` returns "`Inner`".

### toString

    public String toString()

  The qualified name including any dimension information. For example, a two dimensional array of String returns "`java.lang.String[][]`", and the parameterized type `List<Integer>` returns "`java.util.List<java.lang.Integer>`".

### typeName

    public String typeName()

  The unqualified name of this type excluding any dimension information. For example, a two dimensional array of String returns "`String`".

Copyright © 2003-2010 The Codehaus. All rights reserved.